server:
  port: 18001
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.0.20:3300/security_flow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: prega_security
    password: Prega_security#202110

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        backend: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

myapps:
  screening:
    #是否开启背景筛查  true 为开启  false 为 关闭
    enable: true
    #公安内网  api 开启背景筛查必须填写此项  当地公安内网的地址
    api: http://14.62.1.152:8020/background/personnelReview?idNumber=
    #业务中不同环境指定不同的server
    server-key: bsp_mock
    scheduled:
      #定期背筛定时器隔，1分钟执行一次
      timing: 30 */1 * * * ?
      #定期背筛每次执行取值天数
      timing-day: 5
      #定期背筛每次执行数量
      timing-count: 300
      #新入职员工背筛定时器，1分钟执行一次
      induction: 0 */1 * * * ?
      #新入职员工背筛每次执行数量
      induction-count: 300